curl --request DELETE \
--url https://api-dev.narrative.io/data-planes/{data_plane_id}/default-compute-pool \
--header 'Authorization: Bearer <token>'{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"external_id": "<string>",
"platform": {
"type": "platform_aws",
"region": "<string>"
},
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"collaborators": {
"participants": {
"type": "all"
}
},
"description": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"default_compute_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compute_pools": [
{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"data_plane_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"provider": {
"type": "snowflake_warehouse",
"size": "x_small",
"warehouse_type": "standard",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"scaling_policy": "standard",
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"collaborators": {
"use": {
"type": "all"
}
},
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Removes the default compute pool setting from this data plane.
curl --request DELETE \
--url https://api-dev.narrative.io/data-planes/{data_plane_id}/default-compute-pool \
--header 'Authorization: Bearer <token>'{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"external_id": "<string>",
"platform": {
"type": "platform_aws",
"region": "<string>"
},
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"collaborators": {
"participants": {
"type": "all"
}
},
"description": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"default_compute_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compute_pools": [
{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"data_plane_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"provider": {
"type": "snowflake_warehouse",
"size": "x_small",
"warehouse_type": "standard",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"scaling_policy": "standard",
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"collaborators": {
"use": {
"type": "all"
}
},
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Default compute pool cleared
owned Show child attributes
active, archived Show child attributes
Show child attributes
Was this page helpful?